<FlexboxLayout class="page">

    <Label text="Login Page" class="header"></Label>
    <Label [text]="errorMessage" *ngIf="errorMessage != null" class="error"></Label>

    <StackLayout class="form" *ngIf="!registerPage">
        <StackLayout class="input-field">
            <TextField class="input" hint="Username" autocorrect="false" autocapitalizationType="none" [(ngModel)]="signInUser.username"></TextField>
        </StackLayout>

        <StackLayout class="input-field">
            <TextField class="input" hint="Password" secure="true" autocorrect="false" autocapitalizationType="none" [(ngModel)]="signInUser.password"></TextField>
        </StackLayout>

        <Button text="Log In" (tap)="signIn(signInUser.username, signInUser.password)" class="btn btn-primary"></Button>
    </StackLayout>

    <StackLayout class="form" *ngIf="registerPage">
        <StackLayout class="input-field">
            <TextField class="input" hint="Email" keyboardType="email" autocorrect="false" autocapitalizationType="none" [(ngModel)]="registeringUser.email"></TextField>
        </StackLayout>

        <StackLayout class="input-field">
            <TextField class="input" hint="Username" autocorrect="false" autocapitalizationType="none" [(ngModel)]="registeringUser.username"></TextField>
        </StackLayout>

        <StackLayout class="input-field">
            <TextField class="input" hint="Password" secure="true" autocorrect="false" autocapitalizationType="none" [(ngModel)]="registeringUser.password"></TextField>
        </StackLayout>

        <StackLayout class="input-field">
            <TextField class="input" hint="Confirm Password" secure="true" autocorrect="false" autocapitalizationType="none" [(ngModel)]="confirmPass"></TextField>
        </StackLayout>

        <Button text="Sign up" (tap)="registerUser(registeringUser.email, registeringUser.username, registeringUser.password, confirmPass)" class="btn btn-primary"></Button>
    </StackLayout>

    <Label text="Don’t have an account? Sign up here." (tap)="renderRegisterPage()" class="footer" *ngIf="!registerPage"></Label>
    <Label text="Back to sign in page." (tap)="renderSignInPage()" class="footer" *ngIf="registerPage"></Label>
</FlexboxLayout>
